import 'package:flutter/material.dart';

/// Constant sizes to be used in the app (paddings, gaps, rounded corners etc.)
class Sizes {
  static const p4 = 4.0;
  static const p5 = 5.0;
  static const p6 = 6.0;
  static const p8 = 8.0;
  static const p10 = 10.0;
  static const p12 = 12.0;
  static const p15 = 15.0;
  static const p16 = 16.0;
  static const p18 = 18.0;
  static const p20 = 20.0;
  static const p24 = 24.0;
  static const p25 = 25.0;
  static const p30 = 30.0;
  static const p32 = 32.0;
  static const p34 = 34.0;
  static const p40 = 40.0;
  static const p48 = 48.0;
  static const p64 = 64.0;
}

/// Constant gap widths
const gapW4 = SizedBox(width: Sizes.p4);
const gapW5 = SizedBox(width: Sizes.p5);
const gapW6 = SizedBox(width: Sizes.p6);
const gapW8 = SizedBox(width: Sizes.p8);
const gapW10 = SizedBox(width: Sizes.p10);
const gapW12 = SizedBox(width: Sizes.p12);
const gapW15 = SizedBox(width: Sizes.p15);
const gapW16 = SizedBox(width: Sizes.p16);
const gapW18 = SizedBox(width: Sizes.p18);
const gapW20 = SizedBox(width: Sizes.p20);
const gapW24 = SizedBox(width: Sizes.p24);
const gapW25 = SizedBox(width: Sizes.p25);
const gapW30 = SizedBox(width: Sizes.p30);
const gapW32 = SizedBox(width: Sizes.p32);
const gapW40 = SizedBox(width: Sizes.p40);
const gapW48 = SizedBox(width: Sizes.p48);
const gapW64 = SizedBox(width: Sizes.p64);

/// Constant gap heights
const gapH4 = SizedBox(height: Sizes.p4);
const gapH5 = SizedBox(height: Sizes.p5);
const gapH6 = SizedBox(height: Sizes.p6);
const gapH8 = SizedBox(height: Sizes.p8);
const gapH10 = SizedBox(height: Sizes.p10);
const gapH12 = SizedBox(height: Sizes.p12);
const gapH15 = SizedBox(height: Sizes.p15);
const gapH16 = SizedBox(height: Sizes.p16);
const gapH18 = SizedBox(height: Sizes.p18);
const gapH20 = SizedBox(height: Sizes.p20);
const gapH24 = SizedBox(height: Sizes.p24);
const gapH25 = SizedBox(height: Sizes.p25);
const gapH30 = SizedBox(height: Sizes.p30);
const gapH32 = SizedBox(height: Sizes.p32);
const gapH40 = SizedBox(height: Sizes.p40);
const gapH48 = SizedBox(height: Sizes.p48);
const gapH64 = SizedBox(height: Sizes.p64);

/// Constant gaps
const gapBottom = SizedBox(height: Sizes.p32);

/// Constant padding all
const pad0 = EdgeInsets.zero;
const pad4 = EdgeInsets.all(Sizes.p4);
const pad5 = EdgeInsets.all(Sizes.p5);
const pad6 = EdgeInsets.all(Sizes.p6);
const pad8 = EdgeInsets.all(Sizes.p8);
const pad10 = EdgeInsets.all(Sizes.p10);
const pad12 = EdgeInsets.all(Sizes.p12);
const pad15 = EdgeInsets.all(Sizes.p15);
const pad16 = EdgeInsets.all(Sizes.p16);
const pad18 = EdgeInsets.all(Sizes.p18);
const pad20 = EdgeInsets.all(Sizes.p20);
const pad24 = EdgeInsets.all(Sizes.p24);
const pad25 = EdgeInsets.all(Sizes.p25);
const pad30 = EdgeInsets.all(Sizes.p30);
const pad32 = EdgeInsets.all(Sizes.p32);
const pad40 = EdgeInsets.all(Sizes.p40);
const pad48 = EdgeInsets.all(Sizes.p48);
const pad64 = EdgeInsets.all(Sizes.p64);

/// Constant padding vertical
const padV4 = EdgeInsets.symmetric(vertical: Sizes.p4);
const padV5 = EdgeInsets.symmetric(vertical: Sizes.p5);
const padV6 = EdgeInsets.symmetric(vertical: Sizes.p6);
const padV8 = EdgeInsets.symmetric(vertical: Sizes.p8);
const padV10 = EdgeInsets.symmetric(vertical: Sizes.p10);
const padV12 = EdgeInsets.symmetric(vertical: Sizes.p12);
const padV15 = EdgeInsets.symmetric(vertical: Sizes.p15);
const padV16 = EdgeInsets.symmetric(vertical: Sizes.p16);
const padV18 = EdgeInsets.symmetric(vertical: Sizes.p18);
const padV20 = EdgeInsets.symmetric(vertical: Sizes.p20);
const padV24 = EdgeInsets.symmetric(vertical: Sizes.p24);
const padV25 = EdgeInsets.symmetric(vertical: Sizes.p25);
const padV30 = EdgeInsets.symmetric(vertical: Sizes.p30);
const padV32 = EdgeInsets.symmetric(vertical: Sizes.p32);
const padV40 = EdgeInsets.symmetric(vertical: Sizes.p40);
const padV48 = EdgeInsets.symmetric(vertical: Sizes.p48);
const padV64 = EdgeInsets.symmetric(vertical: Sizes.p64);

/// Constant padding horizontal
const padH4 = EdgeInsets.symmetric(horizontal: Sizes.p4);
const padH5 = EdgeInsets.symmetric(horizontal: Sizes.p5);
const padH6 = EdgeInsets.symmetric(horizontal: Sizes.p6);
const padH8 = EdgeInsets.symmetric(horizontal: Sizes.p8);
const padH10 = EdgeInsets.symmetric(horizontal: Sizes.p10);
const padH12 = EdgeInsets.symmetric(horizontal: Sizes.p12);
const padH15 = EdgeInsets.symmetric(horizontal: Sizes.p15);
const padH16 = EdgeInsets.symmetric(horizontal: Sizes.p16);
const padH18 = EdgeInsets.symmetric(horizontal: Sizes.p18);
const padH20 = EdgeInsets.symmetric(horizontal: Sizes.p20);
const padH24 = EdgeInsets.symmetric(horizontal: Sizes.p24);
const padH25 = EdgeInsets.symmetric(horizontal: Sizes.p25);
const padH30 = EdgeInsets.symmetric(horizontal: Sizes.p30);
const padH32 = EdgeInsets.symmetric(horizontal: Sizes.p32);
const padH40 = EdgeInsets.symmetric(horizontal: Sizes.p40);
const padH48 = EdgeInsets.symmetric(horizontal: Sizes.p48);
const padH64 = EdgeInsets.symmetric(horizontal: Sizes.p64);

/// Constant border radius
const rad4 = BorderRadius.all(Radius.circular(Sizes.p4));
const rad5 = BorderRadius.all(Radius.circular(Sizes.p5));
const rad6 = BorderRadius.all(Radius.circular(Sizes.p6));
const rad8 = BorderRadius.all(Radius.circular(Sizes.p8));
const rad10 = BorderRadius.all(Radius.circular(Sizes.p10));
const rad12 = BorderRadius.all(Radius.circular(Sizes.p12));
const rad15 = BorderRadius.all(Radius.circular(Sizes.p15));
const rad16 = BorderRadius.all(Radius.circular(Sizes.p16));
const rad18 = BorderRadius.all(Radius.circular(Sizes.p18));
const rad20 = BorderRadius.all(Radius.circular(Sizes.p20));
const rad24 = BorderRadius.all(Radius.circular(Sizes.p24));
const rad25 = BorderRadius.all(Radius.circular(Sizes.p25));
const rad30 = BorderRadius.all(Radius.circular(Sizes.p30));
const rad32 = BorderRadius.all(Radius.circular(Sizes.p32));
const rad40 = BorderRadius.all(Radius.circular(Sizes.p40));
const rad48 = BorderRadius.all(Radius.circular(Sizes.p48));
const rad64 = BorderRadius.all(Radius.circular(Sizes.p64));
